<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateBankAccountsTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: bank_accounts
         */
        Schema::create('bank_accounts', function ($table) {
            $table->increments('id');
            $table->string('name', 200)->nullable();
            $table->string('number', 50)->nullable();
            $table->string('bank_name', 200)->nullable();
            $table->string('iban', 50)->nullable();
            $table->string('swift', 50)->nullable();
            $table->integer('user_id')->nullable();
            $table->string('user_type', 30)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('bank_accounts');
    }
}
