<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateCoasTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: coas
         */
        Schema::create('coas', function ($table) {
            $table->increments('id');
            $table->integer('parent_id')->nullable();
            $table->enum('is_group', ['Yes','No'])->nullable();
            $table->enum('type', ['Asset','Liability','Income','Expence'])->nullable();
            $table->string('code', 20)->nullable();
            $table->string('name', 200)->nullable();
            $table->string('description', 200)->nullable();
            $table->text('remarks')->nullable();
            $table->decimal('debit', 12,2)->nullable();
            $table->decimal('credit', 12,2)->nullable();
            $table->decimal('balance', 12,2)->nullable();
            $table->enum('debit_or_credit', ['Debit','Credit'])->nullable();
            $table->string('icon', 50)->nullable();
            $table->string('color', 50)->nullable();
            $table->enum('status', ['Active','Inactive'])->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('coas');
    }
}
