<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateCustomersTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: customers
         */
        Schema::create('customers', function ($table) {
            $table->increments('id');
            $table->string('name', 200)->nullable();
            $table->string('email', 100)->nullable();
            $table->string('mobile', 30)->nullable();
            $table->string('billing_address', 150)->nullable();
            $table->string('company_name', 100)->nullable();
            $table->string('tax_no', 30)->nullable();
            $table->integer('user_id')->nullable();
            $table->string('user_type', 20)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('customers');
    }
}
