<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateInvoiceDetailsTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: invoice_details
         */
        Schema::create('invoice_details', function ($table) {
            $table->increments('id');
            $table->integer('invoice_id')->nullable();
            $table->integer('product_id')->nullable();
            $table->decimal('price', 12,2)->nullable();
            $table->decimal('tax', 4,2)->nullable();
            $table->decimal('qty', 6,2)->nullable();
            $table->decimal('total', 12,2)->nullable();
            $table->string('description', 200)->nullable();
            $table->integer('user_id')->nullable();
            $table->string('user_type', 20)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('invoice_details');
    }
}
