<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateInvoicesTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: invoices
         */
        Schema::create('invoices', function ($table) {
            $table->increments('id');
            $table->integer('customer_id')->nullable();
            $table->integer('serial_no')->nullable();
            $table->dateTime('invoice_date')->nullable();
            $table->dateTime('due_date')->nullable();
            $table->string('customer_note', 200)->nullable();
            $table->enum('status', ['Draft','Approved','Pending','Completed'])->nullable();
            $table->decimal('sub_total', 12,2)->nullable();
            $table->string('tax_type', 20)->nullable();
            $table->decimal('tax_rate', 5,2)->nullable();
            $table->decimal('tax_amount', 12,2)->nullable();
            $table->decimal('discount', 12,2)->nullable();
            $table->decimal('total', 12,2)->nullable();
            $table->text('notes')->nullable();
            $table->text('documents')->nullable();
            $table->integer('user_id')->nullable();
            $table->string('user_type', 20)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('invoices');
    }
}
