<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateReceiptsTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: receipts
         */
        Schema::create('receipts', function ($table) {
            $table->increments('id');
            $table->integer('invoice_id')->nullable();
            $table->integer('customer_id')->nullable();
            $table->string('mode', 20)->nullable();
            $table->dateTime('date')->nullable();
            $table->integer('reference_no')->nullable();
            $table->decimal('amount', 12,2)->nullable();
            $table->text('notes')->nullable();
            $table->text('documents')->nullable();
            $table->integer('user_id')->nullable();
            $table->string('user_type', 20)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('receipts');
    }
}
