<?php

namespace Bixo\Account;

use DB;
use Illuminate\Database\Seeder;

class BankAccountTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('bank_accounts')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'account.bank_account.view',
                'name'      => 'View BankAccount',
            ],
            [
                'slug'      => 'account.bank_account.create',
                'name'      => 'Create BankAccount',
            ],
            [
                'slug'      => 'account.bank_account.edit',
                'name'      => 'Update BankAccount',
            ],
            [
                'slug'      => 'account.bank_account.delete',
                'name'      => 'Delete BankAccount',
            ],
            
            
        ]);

        DB::table('menus')->insert([

            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/account/bank_account',
                'name'        => 'BankAccount',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/account/bank_account',
                'name'        => 'BankAccount',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'bank_account',
                'name'        => 'BankAccount',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Account',
                'module'    => 'BankAccount',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'account.bank_account.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
