<?php

// API routes  for customer
Route::prefix('{guard}/account')->group(function () {
    Route::get('customer/form/{element}', 'CustomerAPIController@form');
    Route::resource('customer', 'CustomerAPIController');
});


if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for accounts
            Route::prefix('{guard}/account')->group(function () {
                Route::get('customer/form/{element}', 'CustomerAPIController@form');
                Route::apiResource('customer', 'CustomerAPIController');
            });
            // Public routes for accounts
            Route::get('account/Customer', 'CustomerPublicController@getCustomer');
        }
    );
}

// API routes  for invoice
Route::prefix('{guard}/account')->group(function () {
    Route::get('invoice/form/{element}', 'InvoiceAPIController@form');
    Route::resource('invoice', 'InvoiceAPIController');
});


if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for accounts
            Route::prefix('{guard}/account')->group(function () {
                Route::get('invoice/form/{element}', 'InvoiceAPIController@form');
                Route::apiResource('invoice', 'InvoiceAPIController');
            });
            // Public routes for accounts
            Route::get('account/Invoice', 'InvoicePublicController@getInvoice');
        }
    );
}

// API routes  for invoice_detail
Route::prefix('{guard}/account')->group(function () {
    Route::get('invoice_detail/form/{element}', 'InvoiceDetailAPIController@form');
    Route::resource('invoice_detail', 'InvoiceDetailAPIController');
});


if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for accounts
            Route::prefix('{guard}/account')->group(function () {
                Route::get('invoice_detail/form/{element}', 'InvoiceDetailAPIController@form');
                Route::apiResource('invoice_detail', 'InvoiceDetailAPIController');
            });
            // Public routes for accounts
            Route::get('account/InvoiceDetail', 'InvoiceDetailPublicController@getInvoiceDetail');
        }
    );
}

// API routes  for product
Route::prefix('{guard}/account')->group(function () {
    Route::get('product/form/{element}', 'ProductAPIController@form');
    Route::resource('product', 'ProductAPIController');
});


if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for accounts
            Route::prefix('{guard}/account')->group(function () {
                Route::get('product/form/{element}', 'ProductAPIController@form');
                Route::apiResource('product', 'ProductAPIController');
            });
            // Public routes for accounts
            Route::get('account/Product', 'ProductPublicController@getProduct');
        }
    );
}

// API routes  for receipt
Route::prefix('{guard}/account')->group(function () {
    Route::get('receipt/form/{element}', 'ReceiptAPIController@form');
    Route::resource('receipt', 'ReceiptAPIController');
});


if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for accounts
            Route::prefix('{guard}/account')->group(function () {
                Route::get('receipt/form/{element}', 'ReceiptAPIController@form');
                Route::apiResource('receipt', 'ReceiptAPIController');
            });
            // Public routes for accounts
            Route::get('account/Receipt', 'ReceiptPublicController@getReceipt');
        }
    );
}

// API routes  for bank_account
Route::prefix('{guard}/account')->group(function () {
    Route::get('bank_account/form/{element}', 'BankAccountAPIController@form');
    Route::resource('bank_account', 'BankAccountAPIController');
});


if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for accounts
            Route::prefix('{guard}/account')->group(function () {
                Route::get('bank_account/form/{element}', 'BankAccountAPIController@form');
                Route::apiResource('bank_account', 'BankAccountAPIController');
            });
            // Public routes for accounts
            Route::get('account/BankAccount', 'BankAccountPublicController@getBankAccount');
        }
    );
}

// API routes  for coa
Route::prefix('{guard}/account')->group(function () {
    Route::get('coa/form/{element}', 'CoaAPIController@form');
    Route::resource('coa', 'CoaAPIController');
});


if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for accounts
            Route::prefix('{guard}/account')->group(function () {
                Route::get('coa/form/{element}', 'CoaAPIController@form');
                Route::apiResource('coa', 'CoaAPIController');
            });
            // Public routes for accounts
            Route::get('account/Coa', 'CoaPublicController@getCoa');
        }
    );
}

