<?php

// web routes  for customer
Route::prefix('{guard}/account')->group(function () {
    Route::resource('customer', 'CustomerResourceController');
});


if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for pages
            Route::prefix('{guard}/page')->group(function () {
                Route::apiResource('page', 'CustomerResourceController');
            });
            // Public routes for pages
            Route::get('accounts/', 'CustomerPublicController@index');
            Route::get('accounts/{slug?}', 'CustomerPublicController@show');
        }
    );
}

// web routes  for invoice
Route::prefix('{guard}/account')->group(function () {
    Route::resource('invoice', 'InvoiceResourceController');
});


if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for pages
            Route::prefix('{guard}/page')->group(function () {
                Route::apiResource('page', 'InvoiceResourceController');
            });
            // Public routes for pages
            Route::get('accounts/', 'InvoicePublicController@index');
            Route::get('accounts/{slug?}', 'InvoicePublicController@show');
        }
    );
}

// web routes  for invoice_detail
Route::prefix('{guard}/account')->group(function () {
    Route::resource('invoice_detail', 'InvoiceDetailResourceController');
});


if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for pages
            Route::prefix('{guard}/page')->group(function () {
                Route::apiResource('page', 'InvoiceDetailResourceController');
            });
            // Public routes for pages
            Route::get('accounts/', 'InvoiceDetailPublicController@index');
            Route::get('accounts/{slug?}', 'InvoiceDetailPublicController@show');
        }
    );
}

// web routes  for product
Route::prefix('{guard}/account')->group(function () {
    Route::resource('product', 'ProductResourceController');
});


if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for pages
            Route::prefix('{guard}/page')->group(function () {
                Route::apiResource('page', 'ProductResourceController');
            });
            // Public routes for pages
            Route::get('accounts/', 'ProductPublicController@index');
            Route::get('accounts/{slug?}', 'ProductPublicController@show');
        }
    );
}

// web routes  for receipt
Route::prefix('{guard}/account')->group(function () {
    Route::resource('receipt', 'ReceiptResourceController');
});


if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for pages
            Route::prefix('{guard}/page')->group(function () {
                Route::apiResource('page', 'ReceiptResourceController');
            });
            // Public routes for pages
            Route::get('accounts/', 'ReceiptPublicController@index');
            Route::get('accounts/{slug?}', 'ReceiptPublicController@show');
        }
    );
}

// web routes  for bank_account
Route::prefix('{guard}/account')->group(function () {
    Route::resource('bank_account', 'BankAccountResourceController');
});


if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for pages
            Route::prefix('{guard}/page')->group(function () {
                Route::apiResource('page', 'BankAccountResourceController');
            });
            // Public routes for pages
            Route::get('accounts/', 'BankAccountPublicController@index');
            Route::get('accounts/{slug?}', 'BankAccountPublicController@show');
        }
    );
}

// web routes  for coa
Route::prefix('{guard}/account')->group(function () {
    Route::resource('coa', 'CoaResourceController');
});


if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for pages
            Route::prefix('{guard}/page')->group(function () {
                Route::apiResource('page', 'CoaResourceController');
            });
            // Public routes for pages
            Route::get('accounts/', 'CoaPublicController@index');
            Route::get('accounts/{slug?}', 'CoaPublicController@show');
        }
    );
}

