<?php

namespace Bixo\Account\Providers;

use Illuminate\Contracts\Auth\Access\Gate as GateContract;
use Illuminate\Foundation\Support\Providers\AuthServiceProvider as ServiceProvider;

class AuthServiceProvider extends ServiceProvider
{
    /**
     * The policy mappings for the package.
     *
     * @var array
     */
    protected $policies = [
        // Bind Customer policy
        'Bixo\Account\Models\Customer' => \Bixo\Account\Policies\CustomerPolicy::class,// Bind Invoice policy
        'Bixo\Account\Models\Invoice' => \Bixo\Account\Policies\InvoicePolicy::class,// Bind InvoiceDetail policy
        'Bixo\Account\Models\InvoiceDetail' => \Bixo\Account\Policies\InvoiceDetailPolicy::class,// Bind Product policy
        'Bixo\Account\Models\Product' => \Bixo\Account\Policies\ProductPolicy::class,// Bind Receipt policy
        'Bixo\Account\Models\Receipt' => \Bixo\Account\Policies\ReceiptPolicy::class,// Bind BankAccount policy
        'Bixo\Account\Models\BankAccount' => \Bixo\Account\Policies\BankAccountPolicy::class,// Bind Coa policy
        'Bixo\Account\Models\Coa' => \Bixo\Account\Policies\CoaPolicy::class,
    ];

    /**
     * Register any package authentication / authorization services.
     *
     * @param \Illuminate\Contracts\Auth\Access\Gate $gate
     *
     * @return void
     */
    public function boot(GateContract $gate)
    {
        parent::registerPolicies($gate);
    }
}
