<?php

namespace Bixo\Account\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class BankAccountTransformer extends TransformerAbstract
{
    public function transform(\Bixo\Account\Models\BankAccount $bank_account)
    {
        return [
            'id'                => $bank_account->getRouteKey(),
            'key'               => [
                'public'    => $bank_account->getPublicKey(),
                'route'     => $bank_account->getRouteKey(),
            ], 
            'name'              => $bank_account->name,
            'number'            => $bank_account->number,
            'bank_name'         => $bank_account->bank_name,
            'iban'              => $bank_account->iban,
            'swift'             => $bank_account->swift,
            'user_id'           => $bank_account->user_id,
            'user_type'         => $bank_account->user_type,
            'deleted_at'        => $bank_account->deleted_at,
            'url'               => [
                'public'    => trans_url('account/'.$bank_account->getPublicKey()),
                'user'      => guard_url('account/bank_account/'.$bank_account->getRouteKey()),
            ], 
            'status'            => trans('app.'.$bank_account->status),
            'created_at'        => format_date($bank_account->created_at),
            'updated_at'        => format_date($bank_account->updated_at),
        ];
    }
}