<?php

namespace Bixo\Account\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class CoaTransformer extends TransformerAbstract
{
    public function transform(\Bixo\Account\Models\Coa $coa)
    {
        return [
            'id'                => $coa->getRouteKey(),
            'key'               => [
                'public'    => $coa->getPublicKey(),
                'route'     => $coa->getRouteKey(),
            ], 
            'parent_id'         => $coa->parent_id,
            'is_group'          => $coa->is_group,
            'type'              => $coa->type,
            'code'              => $coa->code,
            'name'              => $coa->name,
            'description'       => $coa->description,
            'remarks'           => $coa->remarks,
            'debit'             => $coa->debit,
            'credit'            => $coa->credit,
            'balance'           => $coa->balance,
            'debit_or_credit'   => $coa->debit_or_credit,
            'icon'              => $coa->icon,
            'color'             => $coa->color,
            'deleted_at'        => $coa->deleted_at,
            'url'               => [
                'public'    => trans_url('account/'.$coa->getPublicKey()),
                'user'      => guard_url('account/coa/'.$coa->getRouteKey()),
            ], 
            'status'            => trans('app.'.$coa->status),
            'created_at'        => format_date($coa->created_at),
            'updated_at'        => format_date($coa->updated_at),
        ];
    }
}