<?php

namespace Bixo\Account\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class CustomerTransformer extends TransformerAbstract
{
    public function transform(\Bixo\Account\Models\Customer $customer)
    {
        return [
            'id'                => $customer->getRouteKey(),
            'key'               => [
                'public'    => $customer->getPublicKey(),
                'route'     => $customer->getRouteKey(),
            ], 
            'name'              => $customer->name,
            'email'             => $customer->email,
            'mobile'            => $customer->mobile,
            'billing_address'   => $customer->billing_address,
            'company_name'      => $customer->company_name,
            'tax_no'            => $customer->tax_no,
            'user_id'           => $customer->user_id,
            'user_type'         => $customer->user_type,
            'deleted_at'        => $customer->deleted_at,
            'url'               => [
                'public'    => trans_url('account/'.$customer->getPublicKey()),
                'user'      => guard_url('account/customer/'.$customer->getRouteKey()),
            ], 
            'status'            => trans('app.'.$customer->status),
            'created_at'        => format_date($customer->created_at),
            'updated_at'        => format_date($customer->updated_at),
        ];
    }
}