<?php

namespace Bixo\Account\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class InvoiceDetailTransformer extends TransformerAbstract
{
    public function transform(\Bixo\Account\Models\InvoiceDetail $invoice_detail)
    {
        return [
            'id'                => $invoice_detail->getRouteKey(),
            'key'               => [
                'public'    => $invoice_detail->getPublicKey(),
                'route'     => $invoice_detail->getRouteKey(),
            ], 
            'invoice_id'        => $invoice_detail->invoice_id,
            'product_id'        => $invoice_detail->product_id,
            'price'             => $invoice_detail->price,
            'tax'               => $invoice_detail->tax,
            'qty'               => $invoice_detail->qty,
            'total'             => $invoice_detail->total,
            'description'       => $invoice_detail->description,
            'user_id'           => $invoice_detail->user_id,
            'user_type'         => $invoice_detail->user_type,
            'deleted_at'        => $invoice_detail->deleted_at,
            'url'               => [
                'public'    => trans_url('account/'.$invoice_detail->getPublicKey()),
                'user'      => guard_url('account/invoice_detail/'.$invoice_detail->getRouteKey()),
            ], 
            'status'            => trans('app.'.$invoice_detail->status),
            'created_at'        => format_date($invoice_detail->created_at),
            'updated_at'        => format_date($invoice_detail->updated_at),
        ];
    }
}