<?php

namespace Bixo\Account\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class InvoiceTransformer extends TransformerAbstract
{
    public function transform(\Bixo\Account\Models\Invoice $invoice)
    {
        return [
            'id'                => $invoice->getRouteKey(),
            'key'               => [
                'public'    => $invoice->getPublicKey(),
                'route'     => $invoice->getRouteKey(),
            ], 
            'customer_id'       => $invoice->customer_id,
            'serial_no'         => $invoice->serial_no,
            'invoice_date'      => $invoice->invoice_date,
            'due_date'          => $invoice->due_date,
            'customer_note'     => $invoice->customer_note,
            'sub_total'         => $invoice->sub_total,
            'tax_type'          => $invoice->tax_type,
            'tax_rate'          => $invoice->tax_rate,
            'tax_amount'        => $invoice->tax_amount,
            'discount'          => $invoice->discount,
            'total'             => $invoice->total,
            'notes'             => $invoice->notes,
            'documents'         => $invoice->documents,
            'user_id'           => $invoice->user_id,
            'user_type'         => $invoice->user_type,
            'deleted_at'        => $invoice->deleted_at,
            'url'               => [
                'public'    => trans_url('account/'.$invoice->getPublicKey()),
                'user'      => guard_url('account/invoice/'.$invoice->getRouteKey()),
            ], 
            'status'            => trans('app.'.$invoice->status),
            'created_at'        => format_date($invoice->created_at),
            'updated_at'        => format_date($invoice->updated_at),
        ];
    }
}