<?php

namespace Bixo\Account\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class ProductTransformer extends TransformerAbstract
{
    public function transform(\Bixo\Account\Models\Product $product)
    {
        return [
            'id'                => $product->getRouteKey(),
            'key'               => [
                'public'    => $product->getPublicKey(),
                'route'     => $product->getRouteKey(),
            ], 
            'name'              => $product->name,
            'description'       => $product->description,
            'tax_rate'          => $product->tax_rate,
            'price'             => $product->price,
            'user_id'           => $product->user_id,
            'user_type'         => $product->user_type,
            'deleted_at'        => $product->deleted_at,
            'url'               => [
                'public'    => trans_url('account/'.$product->getPublicKey()),
                'user'      => guard_url('account/product/'.$product->getRouteKey()),
            ], 
            'status'            => trans('app.'.$product->status),
            'created_at'        => format_date($product->created_at),
            'updated_at'        => format_date($product->updated_at),
        ];
    }
}