<?php

namespace Bixo\Account\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class ReceiptTransformer extends TransformerAbstract
{
    public function transform(\Bixo\Account\Models\Receipt $receipt)
    {
        return [
            'id'                => $receipt->getRouteKey(),
            'key'               => [
                'public'    => $receipt->getPublicKey(),
                'route'     => $receipt->getRouteKey(),
            ], 
            'invoice_id'        => $receipt->invoice_id,
            'customer_id'       => $receipt->customer_id,
            'mode'              => $receipt->mode,
            'date'              => $receipt->date,
            'reference_no'      => $receipt->reference_no,
            'amount'            => $receipt->amount,
            'notes'             => $receipt->notes,
            'documents'         => $receipt->documents,
            'user_id'           => $receipt->user_id,
            'user_type'         => $receipt->user_type,
            'deleted_at'        => $receipt->deleted_at,
            'url'               => [
                'public'    => trans_url('account/'.$receipt->getPublicKey()),
                'user'      => guard_url('account/receipt/'.$receipt->getRouteKey()),
            ], 
            'status'            => trans('app.'.$receipt->status),
            'created_at'        => format_date($receipt->created_at),
            'updated_at'        => format_date($receipt->updated_at),
        ];
    }
}